[rspec-devel] using git rspec + rspec-rails edge

Pat Maddox pergesu at gmail.com
Wed Apr 16 04:03:26 EDT 2008


On Tue, Apr 15, 2008 at 11:56 PM, Matt Aimonetti <matt at aimonetti.net> wrote:
>
> So here is my problem, I'm working on an app that uses rspec edge and I'm
> using git + submodules to track your progress.
>
> The only issues is that I get the following annoying message:
>
> ############################################################################
>  Your RSpec on Rails plugin is incompatible with your installed RSpec.
>
> RSpec          : 20080328014754
> RSpec on Rails : 20080414041511
>
> Looking at the github repos it doesn't seem I can get a version where both
> versions match.

I just pushed changes to github with new version numbers that match.


> Are you guys working on that or is there a solution?

If this comes up, and you're pretty sure you've got versions of the
plugins that work together, you can just change one of the files to
match the other.  And if you've got the full rspec-dev repo, you can
run "rake touch_revision_storing_files" to auto-generate the
version.rb files.

Pat


More information about the rspec-devel mailing list